Skip to main content
GET
Get inference flavor

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

flavor_name
string
required

Inference flavor name.

Example:

"inference-16vcpu-232gib-1xh100-80gb"

Response

200 - application/json

OK

cpu
number
required

Inference flavor cpu count.

Example:

2

description
string
required

Inference flavor description.

Example:

"1xL40S / 16 vCPU / 232GiB RAM"

gpu
integer
required

Inference flavor gpu count.

Example:

1

gpu_compute_capability
string
required

Inference flavor gpu compute capability.

Example:

"8.6"

gpu_memory
number
required

Inference flavor gpu memory in Gi.

Example:

80

gpu_model
string
required

Inference flavor gpu model.

Example:

"H100"

is_gpu_shared
boolean
required
deprecated

Inference flavor is gpu shared (always false, deprecated).

Example:

false

memory
number
required

Inference flavor memory in Gi.

Example:

4

name
string
required

Inference flavor name.

Example:

"inference-16vcpu-232gib-1xh100-80gb"